Subject: Re: [v6ops] draft-ietf-opsec-v6

From: 神明達哉 <[email-masked]>
Date: Tue, 9 Apr 2019 10:48:35 -0700

(Note: I don't subscribe to [email-masked].  So I expect this message
will be subject to moderation).

At Fri, 29 Mar 2019 06:18:37 +0100,
Fred Baker <[email-masked]> wrote:

> Yesterday, the authors of an opec draft asked us for comments on their
draft, which is in a second WGLC in opec ([email-masked]). You may have
missed the character string:
>
> https://datatracker.ietf.org/doc/draft-ietf-opsec-v6
> https://tools.ietf.org/html/draft-ietf-opsec-v6
>   "Operational Security Considerations for IPv6 Networks", Eric Vyncke,
>   Chittimaneni Kk, Merike Kaeo, Enno Rey, 2019-03-11,
>
> I'd encourage people to read it and comment on the opec list.

One quick comment, in case no one pointed it out: Section 2.3.3 refers
to I-D.ietf-dhc-sedhcpv6 as follows:

   [...] Another way to secure
   DHCPv6 would be to use the secure DHCPv6 protocol which is currently
   work in progress per [I-D.ietf-dhc-sedhcpv6] , but, with no real
   deployment known by the authors of this document.

In my understanding, this draft is effectively dead rather than just
missing deployment.  There may be yet another attempt of restarting it
in future, but I see no indication of it right now.  Even if the work
is eventually restarted it will be something completely different from
the current latest draft.  So I'd suggest either:
- just remove this sentence, or
- if you want to keep the reference, make it more consistent with the
  current situation, like:
    There was a proposal of secure DHCPv6 protocol [I-D.ietf-dhc-sedhcpv6],
    but the work has been effectively suspended and there is no
    indication of a restart anytime soon.

--
JINMEI, Tatuya

---

From: Fred Baker <[email-masked]>
Date: Tue, 9 Apr 2019 14:31:54 -0700

I do subscribe, so this note may accomplish the goal.

https://datatracker.ietf.org/doc/draft-ietf-dhc-sedhcpv6/ says that [I-D.ietf-dhc-sedhcpv6] is "dead" from the IESG's perspective. They have asked for a revised draft, over two years ago, and none has been posted.

> On Apr 9, 2019, at 10:48 AM, 神明達哉 <[email-masked]> wrote:
> 
> > Yesterday, the authors of an opec draft asked us for comments on their draft, which is in a second WGLC in opec ([email-masked]). You may have missed the character string:
> >

--------------------------------------------------------------------------------
The fact that there is a highway to hell and a stairway to heaven is an interesting comment on projected traffic volume...

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 9 Apr 2019 22:11:13 +0000

draft-ietf-dhc-sedhcpv6 is dead. There are no plans to work on this topic within the dhc wg.

RFC8415’s security considerations, see https://tools.ietf.org/html/rfc8415#section-22, discusses options (including use of savi). This section was greatly expanded over what was in RFC3315.

- Bernie (dhc wg co-chair)

On Apr 9, 2019, at 5:32 PM, Fred Baker <[email-masked]<mailto:[email-masked]>> wrote:

On Apr 9, 2019, at 10:48 AM, 神明達哉 <[email-masked]<mailto:[email-masked]>> wrote:

(Note: I don't subscribe to [email-masked]<mailto:[email-masked]>.  So I expect this message
will be subject to moderation).

At Fri, 29 Mar 2019 06:18:37 +0100,
Fred Baker <[email-masked]<mailto:[email-masked]>> wrote:

Yesterday, the authors of an opec draft asked us for comments on their draft, which is in a second WGLC in opec ([email-masked]<mailto:[email-masked]>). You may have missed the character string:

--
JINMEI, Tatuya

_______________________________________________
v6ops mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/v6ops